'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var core = require('@emotion/core');

var styles = [{
  "html": {
    "lineHeight": "1.15",
    "textSizeAdjust": "100%"
  },
  "body": {
    "margin": "0"
  },
  "h1": {
    "fontSize": "2em",
    "margin": "0.67em 0"
  },
  "hr": {
    "boxSizing": "content-box",
    "height": "0",
    "overflow": "visible"
  },
  "pre": {
    "fontFamily": "monospace, monospace",
    "fontSize": "1em"
  },
  "a": {
    "backgroundColor": "transparent"
  },
  "abbr[title]": {
    "borderBottom": "none",
    "textDecoration": "underline"
  },
  "b,\n    strong": {
    "fontWeight": "bolder"
  },
  "code,\n    kbd,\n    samp": {
    "fontFamily": "monospace, monospace",
    "fontSize": "1em"
  },
  "small": {
    "fontSize": "80%"
  },
  "sub,\n    sup": {
    "fontSize": "75%",
    "lineHeight": "0",
    "position": "relative",
    "verticalAlign": "baseline"
  },
  "sub": {
    "bottom": "-0.25em"
  },
  "sup": {
    "top": "-0.5em"
  },
  "img": {
    "borderStyle": "none"
  },
  "button,\n    input,\n    optgroup,\n    select,\n    textarea": {
    "fontFamily": "inherit",
    "fontSize": "100%",
    "lineHeight": "1.15",
    "margin": "0"
  },
  "button,\n    input": {
    "overflow": "visible"
  },
  "button,\n    select": {
    "textTransform": "none"
  },
  "button,\n    html [type=\"button\"],\n    [type=\"reset\"],\n    [type=\"submit\"]": {
    "WebkitAppearance": "button"
  },
  "button::-moz-focus-inner,\n    [type=\"button\"]::-moz-focus-inner,\n    [type=\"reset\"]::-moz-focus-inner,\n    [type=\"submit\"]::-moz-focus-inner": {
    "borderStyle": "none",
    "padding": "0"
  },
  "button:-moz-focusring,\n    [type=\"button\"]:-moz-focusring,\n    [type=\"reset\"]:-moz-focusring,\n    [type=\"submit\"]:-moz-focusring": {
    "outline": "1px dotted ButtonText"
  },
  "fieldset": {
    "padding": "0.35em 0.625em 0.75em"
  },
  "legend": {
    "boxSizing": "border-box",
    "color": "inherit",
    "display": "table",
    "maxWidth": "100%",
    "padding": "0",
    "whiteSpace": "normal"
  },
  "progress": {
    "verticalAlign": "baseline"
  },
  "textarea": {
    "overflow": "auto"
  },
  "[type=\"checkbox\"],\n    [type=\"radio\"]": {
    "boxSizing": "border-box",
    "padding": "0"
  },
  "[type=\"number\"]::-webkit-inner-spin-button,\n    [type=\"number\"]::-webkit-outer-spin-button": {
    "height": "auto"
  },
  "[type=\"search\"]": {
    "WebkitAppearance": "textfield",
    "outlineOffset": "-2px"
  },
  "[type=\"search\"]::-webkit-search-decoration": {
    "WebkitAppearance": "none"
  },
  "::-webkit-file-upload-button": {
    "WebkitAppearance": "button",
    "font": "inherit"
  },
  "details": {
    "display": "block"
  },
  "summary": {
    "display": "list-item"
  },
  "template": {
    "display": "none"
  },
  "[hidden]": {
    "display": "none"
  }
}, {
  "abbr[title]": {
    "textDecoration": "underline dotted"
  }
}];

var Normalize = function Normalize() {
  return React.createElement(core.Global, {
    styles: styles
  });
};

module.exports = Normalize;
